
#include <libsaria/track.h>
#include <libsaria/tags.h>

Track::Track()
{
	inode = 0;
	tags  = NULL;
}

Track::Track(ino_t ino, TrackTag *tag)
{
	inode = ino;
	tags  = tag;
}

Track::~Track()
{
}

ino_t Track::get_inode()
{
	return inode;
}

unsigned int Track::get_track()
{
	if (tags)
		return tags->get_track();
	return 0;
}

string Track::get_title()
{
	if (tags)
		return tags->get_title();
	return "";
}

string Track::get_lenstr()
{
	if (tags)
		return tags->get_lenstr();
	return "";
}

string Track::get_artist()
{
	if (tags)
		return tags->get_artist();
	return "";
}

string Track::get_album()
{
	if (tags)
		return tags->get_album();
	return "";
}

unsigned int Track::get_year()
{
	if (tags)
		return tags->get_year();
	return 0;
}
